This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1460349 - After killing reporting worker, report status still says Running
After killing reporting worker, report status still says Running
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.6.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Yuri Rudman
Jiri Stefanisin
report:worker
: ZStream
Depends On: 1397600
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 15:36 EDT by Satoe Imaishi
Modified: 2017-09-21 15:43 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1397600
Environment:
Last Closed: 2017-08-02 13:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-09 16:06:07 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/83c3180ddc1b532d3bcf10f86337fe433e721033

commit 83c3180ddc1b532d3bcf10f86337fe433e721033
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Wed May 31 10:59:27 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 15:48:49 2017 -0400

    Merge pull request #15231 from yrudman/introduce-report-execution-timeout
    
    Check for timed out active tasks
    (cherry picked from commit 7fce59fb0dd5ac4ecc01d5163a7bf55ffbe495b9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460349

 app/models/miq_schedule_worker/jobs.rb         |  4 ++
 app/models/miq_schedule_worker/runner.rb       | 13 +++++-
 app/models/miq_task.rb                         | 11 +++++
 config/settings.yml                            |  3 ++
 spec/models/miq_schedule_worker/jobs_spec.rb   | 11 +++++
 spec/models/miq_schedule_worker/runner_spec.rb | 25 +++++++++-
 spec/models/miq_task_spec.rb                   | 64 ++++++++++++++++++++++++++
 7 files changed, 128 insertions(+), 3 deletions(-)
Comment 3 CFME Bot 2017-06-16 16:36:01 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/d0843bc3954f8e4e87e193aa67f7fd979e16baa0

commit d0843bc3954f8e4e87e193aa67f7fd979e16baa0
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Jun 16 14:16:01 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 16 16:31:27 2017 -0400

    Merge pull request #15370 from yrudman/fix-time-format-in-logging-wjen-task-expired
    
    Format time interval for log message
    (cherry picked from commit 0f95dd196c38d68e6a078822c3f8c3086c42e07b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460349

 app/models/miq_task.rb       | 2 +-
 spec/models/miq_task_spec.rb | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)
Comment 6 errata-xmlrpc 2017-08-02 13:29:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.